File: changelog

package info (click to toggle)
mia 2.4.6-4
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 15,244 kB
  • sloc: cpp: 158,736; python: 1,261; sh: 315; xml: 127; makefile: 30; csh: 24; ansic: 9
file content (322 lines) | stat: -rw-r--r-- 10,678 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
mia (2.4.6-4) unstable; urgency=medium

  * d/control, d/compat: Update to version 12~ and standards 4.3
  * d/rules: remove dh_builddeb -- -Z xz

 -- Gert Wollny <gewo@debian.org>  Sat, 12 Jan 2019 19:20:36 +0100

mia (2.4.6-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove invalid fields from debian/upstream/metadata
  * Remove Watch field from debian/upstream/metadata

  [ Gert Wollny ]
  * d/*: run cme fix dpkg   
    - fix VCS urls   
    - fix d/copyright format URL
  * d/control: build using libvtk7-dev
  * d/* update standards to 4.2.1 (no changes needed)

 -- Gert Wollny <gewo@debian.org>  Sun, 09 Sep 2018 19:51:10 +0200

mia (2.4.6-2) unstable; urgency=medium

  * d/p/mia_226_glibc_227: use numeric_limits::max() Closes: #891337
  * d/rules: drop superfluous --parallel in dh command

 -- Gert Wollny <gewo@debian.org>  Tue, 06 Mar 2018 11:21:28 +0100

mia (2.4.6-1) unstable; urgency=medium

  * New upstream version 2.4.6

 -- Gert Wollny <gewo@debian.org>  Sun, 05 Nov 2017 17:58:55 +0100

mia (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5
  * d/control: Update standards to 4.1.1  (no changes required)

 -- Gert Wollny <gewo@debian.org>  Mon, 16 Oct 2017 12:19:10 +0200

mia (2.4.4-2) unstable; urgency=medium

  * d/rules: Reduce build-time memory usage on mips/mipsel to fix FTBFS
    Thanks: Adrian Bunk, Closes: #865615
  * d/control: Update standards version to 4.0.0

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Jun 2017 08:07:43 +0000

mia (2.4.4-1) unstable; urgency=medium

  * Re-upload to unstable

 -- Gert Wollny <gewo@debian.org>  Wed, 21 Jun 2017 05:46:59 +0000

mia (2.4.4-1~exp2) experimental; urgency=medium

  * d/control: Add breaks/replaces, closes: #859578

 -- Gert Wollny <gewo@debian.org>  Fri, 07 Apr 2017 06:40:32 +0000

mia (2.4.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.4.4
  * d/p: remove patches applied upstream
  * d/control: 
       - update DD address
       - update package names to new so-version
  * d/: Update install and overrides to new so-version
  * d/control, d/compat: move to new debhelper version

 -- Gert Wollny <gewo@debian.org>  Tue, 21 Mar 2017 22:32:27 +0000

mia (2.4.3-5) unstable; urgency=medium

  * d/p: Add patch to handle new 64-bit hid_t in hdf5-1.10

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 09 Dec 2016 11:30:48 +0000

mia (2.4.3-4) unstable; urgency=medium

  * d/p/correct... patch to fix buil dependencies Closes: #844140

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 25 Nov 2016 14:08:49 +0000

mia (2.4.3-3) unstable; urgency=medium

  * Add patches to secure locking and help-xml output
    - help to alliviate double unlocking of mutexes
    - make sure --help-xml output is really written 
    - Related to #844140

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 16 Nov 2016 08:21:35 +0000

mia (2.4.3-2) unstable; urgency=medium

  * d/p/path_max: Add patch to define PATH_MAX on hurd

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 25 Aug 2016 11:28:56 +0000

mia (2.4.3-1) unstable; urgency=medium

  * Imported Upstream version 2.4.3
  * d/p: remove patches applied upstream

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 24 Aug 2016 16:37:47 +0000

mia (2.4.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 22 Aug 2016 11:44:47 +0000

mia (2.4.2-1~exp2) experimental; urgency=medium

  * d/control: correctly remove dependency from libtbb-dev 
  * d/control: add Breaks/Replaces for libmia-2.4-doc, Closes: #834072

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 19 Aug 2016 17:13:30 +0000

mia (2.4.2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.4.2 
  * Update package to new upstream version
    - rename versioned package to 2.4 
    - add dependency on libjs-mathjax
    - remove dependency on doxygen-latex 
    - remove dependency on libtbb-dev 
  * Remove patches that were applied upstream
  * Add patch to replace boost::regex by std::regex
  * Add conflict for dev package
  * split out the doctools scripts into extra package 
  * add patch to fix most spelling errors
  * cme fix dpkg-control

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 23 Jul 2016 14:40:04 +0000

mia (2.2.7-6) unstable; urgency=medium

  * d/p/04, d/control, d/rules: separate doc build and 
    switch to automatic debug symbols

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 30 May 2016 11:43:01 +0000

mia (2.2.7-5) unstable; urgency=medium

  * d/p/03: Fix compilation against BOOST 1.60. 
    thanks: Gianfranco Costamagna 
  * d/control: Update standards version to 3.9.8

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 26 Apr 2016 15:52:49 +0000

mia (2.2.7-4) unstable; urgency=medium

  * d/p/02: Add patch for stricter includes Closes: #822503

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 25 Apr 2016 10:19:45 +0000

mia (2.2.7-3) unstable; urgency=medium

  * d/control: Depend libmia-2.2-dev on libgsl-dev Closes: #811379
    Thanks Andreas Beckmann for reporting

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 11 Jan 2016 07:11:04 +0100

mia (2.2.7-2) unstable; urgency=medium

  * d/control: switch build dependency from libgsl0-dev 
    to libgsl-dev 
  * Add patch 01_ for spelling corrections 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 24 Nov 2015 20:21:28 +0100

mia (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * remove patches 02/03 because they are applied upstream
  * remove patch 01 and use the doxygen embedded jquerywith treeview
    Rationale: src::doxygen://debian/README.jquery

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 29 Oct 2015 14:56:33 +0100

mia (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Remove patch 02_doxygen_use_svg.. because it was applied upstream
  * Add patch 02 to correct build on armhf 
  * Add patch 03 to correct tests that fail on arm64 and ppc64el  
  * change dependency to libdcmtk-dev (i.e. without version)

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 26 Oct 2015 12:21:29 +0100

mia (2.2.5-1) unstable; urgency=medium

  * new upstream 
  * d/patches/* remove patches since they are now included upstream:
    02-manpage-correction-patch, 03_correct_instanciation..
    04_correct_flag_outstream, 05_remove_timestamp_from_doxygen 
  * d/* bump so-version of the library package because of ABI change. 
    This also takes care of the needed gcc-5 transition
  * add doxygen-latex to the build-dependencies 
  * add patch 02_doxygen_use_svg_graphs.patch to create the class 
    graphs as svg images instead of png. 

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 29 Sep 2015 23:20:10 +0200

mia (2.2.3-2) unstable; urgency=medium

  * Backport from experimental 
  * Add patch to build with g++-5, Closes: #778005
  * Add patch to remove time stamp from Doxygen created docu
  * Add patch to correct compile problemd with g++ >= 4.9.2 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 29 May 2015 12:21:43 +0200

mia (2.2.3-1) experimental; urgency=medium

  * New upstream version
  * Add doctools to libmia-2.2-dev package
  * Add nipype interfaces to mia-tools package
  * Add a patch to clean up some lintian warnings in the man pages
    that didn't make it into the upstream release package. 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 08 Jan 2015 15:17:14 +0100

mia (2.2.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 3.9.6 
  * Relax nlopt version to 2.2.3 since it is sufficient 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 09 Oct 2014 13:54:54 +0200

mia (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patch 02_float_test_close_powerpc_accuracy.patch since 
    it was incorporated into the upstream sources. 
  * Add signing key and pgpsigurlmangle to watch file 
  * override shlib-calls-exit for libmia-2.2-0 package, since the help 
    option of the command line parser must call exit 
  * Add graphviz to the build dependencies since graphviz only suggests it.

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 17 Sep 2014 16:53:41 +0200

mia (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Change library and devel packages from 2.0 to 2.2 because of 
    ABI and API changes
  * Tighten dependency on BOOST packages
  * Add dependency on libeigen3-dev, libhdf5-dev, and libnifti-dev
  * Transition libvtk6-dev
  * Add patch 02_float_test_close_powerpc_accuracy.patch to 
    correct test on powerpc 
  * Fix typos in control file, Closes: #743801, Closes: #743802
  * Add libmia-2.2-doc replaces/breaks libmia-2.0-doc

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 02 Sep 2014 15:23:04 +0200

mia (2.0.13-1) unstable; urgency=medium

  * New Upstream release 
  * Move build dependency to virtual package libtiff-dev
  * Update standards version to 3.9.5 
  * Work around YAML issues when reading value '8:20' 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 17 Jan 2014 13:06:19 +0100

mia (2.0.12-1) unstable; urgency=low

  [ Gert Wollny ]
  * New upstream release
  * correct entries for maintainers and uploaders 
  * correct application of linker flag "-Wl,--as-needed"
  * remove CXXFLAGS in rules since this is now taken care of in 
    the build system 

 -- Gert Wollny <gw.fossdev@gmail.com>  Wed, 27 Nov 2013 12:40:20 +0100

mia (2.0.11-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release
  * Add debian/upstream file

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 15 Oct 2013 12:53:49 +0200

mia (2.0.10-1) unstable; urgency=low

  [ Gert Wollny ]
  * new upstream release 

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Gert Wollny <gw.fossdev@gmail.com>  Mon, 01 Jul 2013 15:35:25 +0200

mia (2.0.9-1) unstable; urgency=low

  * Upstream version bump 
  * Fix "FTBFS on i386: 3 tests failed out of 228" - Lower accuracy 
    in floating-point related tests to account for the lower number of 
    available FB registers on i386       (Closes: #705383)
  * Fix "FTBFS on architectures such as ia64 lacking SSE or Altivec
    support" - test for availability of SSE or Altivec in the build and
    disable according modules if not available (Closes: #705384)
  * Temporal work around "FTBFS on powerpc: test suite hangs" by forcing the 
    number of running threads to 1 on powerpc and with threading building 
    blocks version lower than 4.1u2 (see: #705385)
  * Fix package dependencies by also scanning all plug-in modules. 
  * Fix regression in 3d image scaler 
  * Change VTK vector field output target

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 26 Apr 2013 14:02:50 +0200

mia (2.0.8-1) unstable; urgency=low

  * Initial release (Closes: #694437)

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 28 Feb 2013 13:09:30 +0100